Loading...
Searching...
No Matches
CanonicalizeGPUVars.h File Reference

Defines the lowering pass that canonicalize the GPU var names over. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::canonicalize_gpu_vars (Stmt s)
| Canonicalize GPU var names into some pre-determined block/thread names (i.e.
const std::string & | Halide::Internal::gpu_thread_name (int index)
| Names for the thread and block id variables.
const std::string & | Halide::Internal::gpu_block_name (int index)

## Detailed Description

Defines the lowering pass that canonicalize the GPU var names over.

Definition in file CanonicalizeGPUVars.h.